<?php

/**
 * This is the model class for table "Mntnce".
 *
 * The followings are the available columns in table 'Mntnce':
 * @property integer $MaintenanceId
 * @property integer $Area
 * @property integer $Carpetarea
 * @property string $Duefrom
 * @property string $dueupto
 * @property string $Paidupto
 * @property integer $Dueamt
 * @property integer $Interest
 * @property integer $Arrears
 * @property integer $Totaldue
 * @property integer $Totalmntnce
 * @property integer $Totrecdamt
 * @property string $flatno
 * @property string $Customer_name
 * @property string $possession_date
 * @property string $mntncefrom
 * @property string $complex
 * @property string $building
 * @property string $wing
 */
class Mntnce extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return Mntnce the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'Mntnce';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('MaintenanceId', 'required'),
			array('MaintenanceId, Area, Carpetarea, Dueamt, Interest, Arrears, Totaldue, Totalmntnce, Totrecdamt', 'numerical', 'integerOnly'=>true),
			array('flatno, Customer_name, complex, building, wing', 'length', 'max'=>50),
			array('Duefrom, dueupto, Paidupto, possession_date, mntncefrom', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('MaintenanceId, Area, Carpetarea, Duefrom, dueupto, Paidupto, Dueamt, Interest, Arrears, Totaldue, Totalmntnce, Totrecdamt, flatno, Customer_name, possession_date, mntncefrom, complex, building, wing', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'MaintenanceId' => 'Maintenance',
			'Area' => 'Area',
			'Carpetarea' => 'Carpetarea',
			'Duefrom' => 'Duefrom',
			'dueupto' => 'Dueupto',
			'Paidupto' => 'Paidupto',
			'Dueamt' => 'Dueamt',
			'Interest' => 'Interest',
			'Arrears' => 'Arrears',
			'Totaldue' => 'Totaldue',
			'Totalmntnce' => 'Totalmntnce',
			'Totrecdamt' => 'Totrecdamt',
			'flatno' => 'Flatno',
			'Customer_name' => 'Customer Name',
			'possession_date' => 'Possession Date',
			'mntncefrom' => 'Mntncefrom',
			'complex' => 'Complex',
			'building' => 'Building',
			'wing' => 'Wing',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('MaintenanceId',$this->MaintenanceId);
		$criteria->compare('Area',$this->Area);
		$criteria->compare('Carpetarea',$this->Carpetarea);
		$criteria->compare('Duefrom',$this->Duefrom,true);
		$criteria->compare('dueupto',$this->dueupto,true);
		$criteria->compare('Paidupto',$this->Paidupto,true);
		$criteria->compare('Dueamt',$this->Dueamt);
		$criteria->compare('Interest',$this->Interest);
		$criteria->compare('Arrears',$this->Arrears);
		$criteria->compare('Totaldue',$this->Totaldue);
		$criteria->compare('Totalmntnce',$this->Totalmntnce);
		$criteria->compare('Totrecdamt',$this->Totrecdamt);
		$criteria->compare('flatno',$this->flatno,true);
		$criteria->compare('Customer_name',$this->Customer_name,true);
		$criteria->compare('possession_date',$this->possession_date,true);
		$criteria->compare('mntncefrom',$this->mntncefrom,true);
		$criteria->compare('complex',$this->complex,true);
		$criteria->compare('building',$this->building,true);
		$criteria->compare('wing',$this->wing,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}